=head1 NAME

B<mkrrbc> - Adds or deletes BladeCenter management module and switch node definitions in the xCAT cluster database.


=head1 SYNOPSIS

B<mkrrbc> [-d ]| [-C a|b|,...,r] -L [Start Rack number for CU] -R [startrange,endrange] [-t|--test]


B<mkrrbc> [B<-h> | B<--help>]


=head1 DESCRIPTION

The mkrrbc adds or deletes (-d) the BladeCenter management module and switch node definitions requested by inputting the CU name (-C) flag and the start and end range (-R) flag.  It will also automatically define required nodegroups. 

=head1 OPTIONS


=over 10

=item B<-h|--help>

Display usage message.

=item B<-t|--test>

Test mode.  The script will print out all the commands that will be run, but will not actually run them.  Useful to verify that the command will create the nodes and groups the way you expect.

=back


=head1 RETURN VALUE

=over 3

=item 0

The command completed successfully.

=item 1

An error has occurred.

=back


=head1 EXAMPLES

=over 2

=item *

To build a cluster unit of nodelist table entries that include nodes like this:
     "bcd60","mm,cud,rack16",,,
     "swd60","nortel,switch,cud,rack16",,,

B<mkrrbc>  -C d -L 2 -R 1,60


To delete all the nodelist entries created in the previous step:

B<mkrrbc> -d -C d -L 2 -R 1,60

=item *


=back


=head1 FILES

/opt/xcat/share/xcat/tools/mkrrbc

See also:
/opt/xcat/share/xcat/tools/mkrrnodes to create node definitions.

